<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::equalizer Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html">equalizer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::equalizer Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1equalizer_1_1_equalizer_capability_agent.html">EqualizerCapabilityAgent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:adde663a72510c092e6aba740a4e369db"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#adde663a72510c092e6aba740a4e369db">buildEQStateJson</a> (const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">EqualizerState</a> &amp;state)</td></tr>
<tr class="separator:adde663a72510c092e6aba740a4e369db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c0182958894b46d57a6188128ca191b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a9c0182958894b46d57a6188128ca191b">parseDirectivePayload</a> (const std::string &amp;payload, Document *document)</td></tr>
<tr class="separator:a9c0182958894b46d57a6188128ca191b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a666b750f0b8fbe77379f7911e59598c1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a666b750f0b8fbe77379f7911e59598c1">TAG</a> {&quot;EqualizerController&quot;}</td></tr>
<tr class="memdesc:a666b750f0b8fbe77379f7911e59598c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a666b750f0b8fbe77379f7911e59598c1">More...</a><br /></td></tr>
<tr class="separator:a666b750f0b8fbe77379f7911e59598c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bfd739776515eff4790ab22970f8e41"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a> = &quot;EqualizerController&quot;</td></tr>
<tr class="memdesc:a0bfd739776515eff4790ab22970f8e41"><td class="mdescLeft">&#160;</td><td class="mdescRight">The EqualizerController interface namespace.  <a href="#a0bfd739776515eff4790ab22970f8e41">More...</a><br /></td></tr>
<tr class="separator:a0bfd739776515eff4790ab22970f8e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a156b5df5dbf3e21ab1bed49b97c80e27"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a156b5df5dbf3e21ab1bed49b97c80e27">EQUALIZER_STATE</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;EqualizerState&quot;}</td></tr>
<tr class="memdesc:a156b5df5dbf3e21ab1bed49b97c80e27"><td class="mdescLeft">&#160;</td><td class="mdescRight">The EqualizerController state portion of the Context.  <a href="#a156b5df5dbf3e21ab1bed49b97c80e27">More...</a><br /></td></tr>
<tr class="separator:a156b5df5dbf3e21ab1bed49b97c80e27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca4cb4b4a02eb498ee68bd105f1535a5"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#aca4cb4b4a02eb498ee68bd105f1535a5">DIRECTIVE_SETBANDS</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;SetBands&quot;}</td></tr>
<tr class="memdesc:aca4cb4b4a02eb498ee68bd105f1535a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>SetBands</code> directive identifier.  <a href="#aca4cb4b4a02eb498ee68bd105f1535a5">More...</a><br /></td></tr>
<tr class="separator:aca4cb4b4a02eb498ee68bd105f1535a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae290b80d6b4bd989e245b8eb4e7aac14"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#ae290b80d6b4bd989e245b8eb4e7aac14">DIRECTIVE_ADJUSTBANDS</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;AdjustBands&quot;}</td></tr>
<tr class="memdesc:ae290b80d6b4bd989e245b8eb4e7aac14"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>AdjustBands</code> directive identifier.  <a href="#ae290b80d6b4bd989e245b8eb4e7aac14">More...</a><br /></td></tr>
<tr class="separator:ae290b80d6b4bd989e245b8eb4e7aac14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb7ca06a084095b014da7db86dc4cfc6"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#afb7ca06a084095b014da7db86dc4cfc6">DIRECTIVE_RESETBANDS</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;ResetBands&quot;}</td></tr>
<tr class="memdesc:afb7ca06a084095b014da7db86dc4cfc6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>ResetBands</code> directive identifier.  <a href="#afb7ca06a084095b014da7db86dc4cfc6">More...</a><br /></td></tr>
<tr class="separator:afb7ca06a084095b014da7db86dc4cfc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dbd9019980490f359b33a640fd07202"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a7dbd9019980490f359b33a640fd07202">DIRECTIVE_SETMODE</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;SetMode&quot;}</td></tr>
<tr class="memdesc:a7dbd9019980490f359b33a640fd07202"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>SetMode</code> directive identifier.  <a href="#a7dbd9019980490f359b33a640fd07202">More...</a><br /></td></tr>
<tr class="separator:a7dbd9019980490f359b33a640fd07202"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac7da02e26473b0109fc7995f1936acb"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#aac7da02e26473b0109fc7995f1936acb">EVENT_EQUALIZERCHANGED</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;EqualizerChanged&quot;}</td></tr>
<tr class="memdesc:aac7da02e26473b0109fc7995f1936acb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>EqualizerChanged</code> event identifier.  <a href="#aac7da02e26473b0109fc7995f1936acb">More...</a><br /></td></tr>
<tr class="separator:aac7da02e26473b0109fc7995f1936acb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54ff5cd85f2348e615c59dcc6123ab7d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a54ff5cd85f2348e615c59dcc6123ab7d">EQUALIZER_JSON_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="separator:a54ff5cd85f2348e615c59dcc6123ab7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a799ed74fd8d33a5de7ac1b5f390212a3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a799ed74fd8d33a5de7ac1b5f390212a3">EQUALIZER_JSON_INTERFACE_NAME</a> = &quot;EqualizerController&quot;</td></tr>
<tr class="memdesc:a799ed74fd8d33a5de7ac1b5f390212a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Equalizer interface name.  <a href="#a799ed74fd8d33a5de7ac1b5f390212a3">More...</a><br /></td></tr>
<tr class="separator:a799ed74fd8d33a5de7ac1b5f390212a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a414995dc6620aac82679c3c49c1a70cb"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a414995dc6620aac82679c3c49c1a70cb">EQUALIZER_JSON_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:a414995dc6620aac82679c3c49c1a70cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Equalizer interface version.  <a href="#a414995dc6620aac82679c3c49c1a70cb">More...</a><br /></td></tr>
<tr class="separator:a414995dc6620aac82679c3c49c1a70cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cf18a68efb3ddb0b37c94c2345f2d6f"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a5cf18a68efb3ddb0b37c94c2345f2d6f">JSON_KEY_BANDS</a> [] = &quot;bands&quot;</td></tr>
<tr class="memdesc:a5cf18a68efb3ddb0b37c94c2345f2d6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "bands" JSON branch.  <a href="#a5cf18a68efb3ddb0b37c94c2345f2d6f">More...</a><br /></td></tr>
<tr class="separator:a5cf18a68efb3ddb0b37c94c2345f2d6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cb00bf23dbd6a976693517dd108c3a8"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0cb00bf23dbd6a976693517dd108c3a8">JSON_KEY_SUPPORTED</a> [] = &quot;supported&quot;</td></tr>
<tr class="memdesc:a0cb00bf23dbd6a976693517dd108c3a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "supported" JSON branch.  <a href="#a0cb00bf23dbd6a976693517dd108c3a8">More...</a><br /></td></tr>
<tr class="separator:a0cb00bf23dbd6a976693517dd108c3a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a355983b61693b7ffb44e521d866bd24e"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a355983b61693b7ffb44e521d866bd24e">JSON_KEY_NAME</a> [] = &quot;name&quot;</td></tr>
<tr class="memdesc:a355983b61693b7ffb44e521d866bd24e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "name" JSON value.  <a href="#a355983b61693b7ffb44e521d866bd24e">More...</a><br /></td></tr>
<tr class="separator:a355983b61693b7ffb44e521d866bd24e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5871c0ee4bad5f4477286f0e5db489d"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#ad5871c0ee4bad5f4477286f0e5db489d">JSON_KEY_LEVEL</a> [] = &quot;level&quot;</td></tr>
<tr class="memdesc:ad5871c0ee4bad5f4477286f0e5db489d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "level" JSON value.  <a href="#ad5871c0ee4bad5f4477286f0e5db489d">More...</a><br /></td></tr>
<tr class="separator:ad5871c0ee4bad5f4477286f0e5db489d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6d202af7728034172008577210661ff"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#ae6d202af7728034172008577210661ff">JSON_KEY_RANGE</a> [] = &quot;range&quot;</td></tr>
<tr class="memdesc:ae6d202af7728034172008577210661ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "range" JSON branch.  <a href="#ae6d202af7728034172008577210661ff">More...</a><br /></td></tr>
<tr class="separator:ae6d202af7728034172008577210661ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83c67b414a79ba465f47e48711a5d987"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a83c67b414a79ba465f47e48711a5d987">JSON_KEY_MINIMUM</a> [] = &quot;minimum&quot;</td></tr>
<tr class="memdesc:a83c67b414a79ba465f47e48711a5d987"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "minimum" JSON value.  <a href="#a83c67b414a79ba465f47e48711a5d987">More...</a><br /></td></tr>
<tr class="separator:a83c67b414a79ba465f47e48711a5d987"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1288e06b08dc3723f9d59afa2d558173"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a1288e06b08dc3723f9d59afa2d558173">JSON_KEY_MAXIMUM</a> [] = &quot;maximum&quot;</td></tr>
<tr class="memdesc:a1288e06b08dc3723f9d59afa2d558173"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "maximum" JSON value.  <a href="#a1288e06b08dc3723f9d59afa2d558173">More...</a><br /></td></tr>
<tr class="separator:a1288e06b08dc3723f9d59afa2d558173"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bd9452f2639810e78776c07199cf2f9"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bd9452f2639810e78776c07199cf2f9">JSON_KEY_MODES</a> [] = &quot;modes&quot;</td></tr>
<tr class="memdesc:a0bd9452f2639810e78776c07199cf2f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "modes" JSON branch.  <a href="#a0bd9452f2639810e78776c07199cf2f9">More...</a><br /></td></tr>
<tr class="separator:a0bd9452f2639810e78776c07199cf2f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2433196201eb87bd6f2b131e67a5902c"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a2433196201eb87bd6f2b131e67a5902c">JSON_KEY_MODE</a> [] = &quot;mode&quot;</td></tr>
<tr class="memdesc:a2433196201eb87bd6f2b131e67a5902c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "mode" JSON value.  <a href="#a2433196201eb87bd6f2b131e67a5902c">More...</a><br /></td></tr>
<tr class="separator:a2433196201eb87bd6f2b131e67a5902c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4e5eb4685cc2b6b827ae41482f3251a"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#ad4e5eb4685cc2b6b827ae41482f3251a">JSON_KEY_LEVELDELTA</a> [] = &quot;levelDelta&quot;</td></tr>
<tr class="memdesc:ad4e5eb4685cc2b6b827ae41482f3251a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "levelDelta" JSON value.  <a href="#ad4e5eb4685cc2b6b827ae41482f3251a">More...</a><br /></td></tr>
<tr class="separator:ad4e5eb4685cc2b6b827ae41482f3251a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84bc68d6a88b696ee6b4342637adbb08"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a84bc68d6a88b696ee6b4342637adbb08">JSON_KEY_LEVELDIRECTION</a> [] = &quot;levelDirection&quot;</td></tr>
<tr class="memdesc:a84bc68d6a88b696ee6b4342637adbb08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "levelDirection" JSON value.  <a href="#a84bc68d6a88b696ee6b4342637adbb08">More...</a><br /></td></tr>
<tr class="separator:a84bc68d6a88b696ee6b4342637adbb08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af295a3a3c16327b194e0497c61007c02"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#af295a3a3c16327b194e0497c61007c02">LEVEL_DIRECTION_UP</a> [] = &quot;UP&quot;</td></tr>
<tr class="memdesc:af295a3a3c16327b194e0497c61007c02"><td class="mdescLeft">&#160;</td><td class="mdescRight">String representing positive level adjustment.  <a href="#af295a3a3c16327b194e0497c61007c02">More...</a><br /></td></tr>
<tr class="separator:af295a3a3c16327b194e0497c61007c02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5cf5cb62547e53fe84154f19bc3a0a8"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#ad5cf5cb62547e53fe84154f19bc3a0a8">LEVEL_DIRECTION_DOWN</a> [] = &quot;DOWN&quot;</td></tr>
<tr class="memdesc:ad5cf5cb62547e53fe84154f19bc3a0a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">String representing negative level adjustment.  <a href="#ad5cf5cb62547e53fe84154f19bc3a0a8">More...</a><br /></td></tr>
<tr class="separator:ad5cf5cb62547e53fe84154f19bc3a0a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec53f39f6034a27967ddbf0c6a0c68ee"><td class="memItemLeft" align="right" valign="top">static constexpr int64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#aec53f39f6034a27967ddbf0c6a0c68ee">AVS_DEFAULT_ADJUST_DELTA</a> = 1</td></tr>
<tr class="memdesc:aec53f39f6034a27967ddbf0c6a0c68ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adjustment value used by AVS by default, in dB, when you, for example, say "Alexa, raise the bass".  <a href="#aec53f39f6034a27967ddbf0c6a0c68ee">More...</a><br /></td></tr>
<tr class="separator:aec53f39f6034a27967ddbf0c6a0c68ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="adde663a72510c092e6aba740a4e369db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adde663a72510c092e6aba740a4e369db">&#9670;&nbsp;</a></span>buildEQStateJson()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::string alexaClientSDK::capabilityAgents::equalizer::buildEQStateJson </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">EqualizerState</a> &amp;&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Builds a JSON string containing an Equalizer state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td><code>EqualizerState</code> to be serialized to JSON. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>JSON string with serialized Equalizer State. </dd></dl>

</div>
</div>
<a id="a9c0182958894b46d57a6188128ca191b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c0182958894b46d57a6188128ca191b">&#9670;&nbsp;</a></span>parseDirectivePayload()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::equalizer::parseDirectivePayload </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>payload</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Document *&#160;</td>
          <td class="paramname"><em>document</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Parses a directive payload JSON and returns a parsed document object.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">payload</td><td>JSON string to parse. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">document</td><td>Pointer to a parsed document. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if parsing was successful, false otherwise. </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="aec53f39f6034a27967ddbf0c6a0c68ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec53f39f6034a27967ddbf0c6a0c68ee">&#9670;&nbsp;</a></span>AVS_DEFAULT_ADJUST_DELTA</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr int64_t alexaClientSDK::capabilityAgents::equalizer::AVS_DEFAULT_ADJUST_DELTA = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Adjustment value used by AVS by default, in dB, when you, for example, say "Alexa, raise the bass". </p>

</div>
</div>
<a id="ae290b80d6b4bd989e245b8eb4e7aac14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae290b80d6b4bd989e245b8eb4e7aac14">&#9670;&nbsp;</a></span>DIRECTIVE_ADJUSTBANDS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::equalizer::DIRECTIVE_ADJUSTBANDS {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;AdjustBands&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>AdjustBands</code> directive identifier. </p>

</div>
</div>
<a id="afb7ca06a084095b014da7db86dc4cfc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb7ca06a084095b014da7db86dc4cfc6">&#9670;&nbsp;</a></span>DIRECTIVE_RESETBANDS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::equalizer::DIRECTIVE_RESETBANDS {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;ResetBands&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>ResetBands</code> directive identifier. </p>

</div>
</div>
<a id="aca4cb4b4a02eb498ee68bd105f1535a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca4cb4b4a02eb498ee68bd105f1535a5">&#9670;&nbsp;</a></span>DIRECTIVE_SETBANDS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::equalizer::DIRECTIVE_SETBANDS {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;SetBands&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>SetBands</code> directive identifier. </p>

</div>
</div>
<a id="a7dbd9019980490f359b33a640fd07202"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dbd9019980490f359b33a640fd07202">&#9670;&nbsp;</a></span>DIRECTIVE_SETMODE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::equalizer::DIRECTIVE_SETMODE {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;SetMode&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>SetMode</code> directive identifier. </p>

</div>
</div>
<a id="a799ed74fd8d33a5de7ac1b5f390212a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a799ed74fd8d33a5de7ac1b5f390212a3">&#9670;&nbsp;</a></span>EQUALIZER_JSON_INTERFACE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::equalizer::EQUALIZER_JSON_INTERFACE_NAME = &quot;EqualizerController&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Equalizer interface name. </p>

</div>
</div>
<a id="a54ff5cd85f2348e615c59dcc6123ab7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54ff5cd85f2348e615c59dcc6123ab7d">&#9670;&nbsp;</a></span>EQUALIZER_JSON_INTERFACE_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::equalizer::EQUALIZER_JSON_INTERFACE_TYPE = &quot;AlexaInterface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Equalizer capability constants Equalizer interface type </p>

</div>
</div>
<a id="a414995dc6620aac82679c3c49c1a70cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a414995dc6620aac82679c3c49c1a70cb">&#9670;&nbsp;</a></span>EQUALIZER_JSON_INTERFACE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::equalizer::EQUALIZER_JSON_INTERFACE_VERSION = &quot;1.0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Equalizer interface version. </p>

</div>
</div>
<a id="a156b5df5dbf3e21ab1bed49b97c80e27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a156b5df5dbf3e21ab1bed49b97c80e27">&#9670;&nbsp;</a></span>EQUALIZER_STATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::equalizer::EQUALIZER_STATE {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;EqualizerState&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The EqualizerController state portion of the Context. </p>

</div>
</div>
<a id="aac7da02e26473b0109fc7995f1936acb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac7da02e26473b0109fc7995f1936acb">&#9670;&nbsp;</a></span>EVENT_EQUALIZERCHANGED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::equalizer::EVENT_EQUALIZERCHANGED {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a0bfd739776515eff4790ab22970f8e41">NAMESPACE</a>, &quot;EqualizerChanged&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>EqualizerChanged</code> event identifier. </p>

</div>
</div>
<a id="a5cf18a68efb3ddb0b37c94c2345f2d6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cf18a68efb3ddb0b37c94c2345f2d6f">&#9670;&nbsp;</a></span>JSON_KEY_BANDS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_BANDS[] = &quot;bands&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "bands" JSON branch. </p>

</div>
</div>
<a id="ad5871c0ee4bad5f4477286f0e5db489d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5871c0ee4bad5f4477286f0e5db489d">&#9670;&nbsp;</a></span>JSON_KEY_LEVEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_LEVEL[] = &quot;level&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "level" JSON value. </p>

</div>
</div>
<a id="ad4e5eb4685cc2b6b827ae41482f3251a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4e5eb4685cc2b6b827ae41482f3251a">&#9670;&nbsp;</a></span>JSON_KEY_LEVELDELTA</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_LEVELDELTA[] = &quot;levelDelta&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "levelDelta" JSON value. </p>

</div>
</div>
<a id="a84bc68d6a88b696ee6b4342637adbb08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84bc68d6a88b696ee6b4342637adbb08">&#9670;&nbsp;</a></span>JSON_KEY_LEVELDIRECTION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_LEVELDIRECTION[] = &quot;levelDirection&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "levelDirection" JSON value. </p>

</div>
</div>
<a id="a1288e06b08dc3723f9d59afa2d558173"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1288e06b08dc3723f9d59afa2d558173">&#9670;&nbsp;</a></span>JSON_KEY_MAXIMUM</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_MAXIMUM[] = &quot;maximum&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "maximum" JSON value. </p>

</div>
</div>
<a id="a83c67b414a79ba465f47e48711a5d987"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83c67b414a79ba465f47e48711a5d987">&#9670;&nbsp;</a></span>JSON_KEY_MINIMUM</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_MINIMUM[] = &quot;minimum&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "minimum" JSON value. </p>

</div>
</div>
<a id="a2433196201eb87bd6f2b131e67a5902c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2433196201eb87bd6f2b131e67a5902c">&#9670;&nbsp;</a></span>JSON_KEY_MODE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_MODE[] = &quot;mode&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "mode" JSON value. </p>

</div>
</div>
<a id="a0bd9452f2639810e78776c07199cf2f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bd9452f2639810e78776c07199cf2f9">&#9670;&nbsp;</a></span>JSON_KEY_MODES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_MODES[] = &quot;modes&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "modes" JSON branch. </p>

</div>
</div>
<a id="a355983b61693b7ffb44e521d866bd24e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a355983b61693b7ffb44e521d866bd24e">&#9670;&nbsp;</a></span>JSON_KEY_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_NAME[] = &quot;name&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "name" JSON value. </p>

</div>
</div>
<a id="ae6d202af7728034172008577210661ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6d202af7728034172008577210661ff">&#9670;&nbsp;</a></span>JSON_KEY_RANGE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_RANGE[] = &quot;range&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "range" JSON branch. </p>

</div>
</div>
<a id="a0cb00bf23dbd6a976693517dd108c3a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cb00bf23dbd6a976693517dd108c3a8">&#9670;&nbsp;</a></span>JSON_KEY_SUPPORTED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::JSON_KEY_SUPPORTED[] = &quot;supported&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for "supported" JSON branch. </p>

</div>
</div>
<a id="ad5cf5cb62547e53fe84154f19bc3a0a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5cf5cb62547e53fe84154f19bc3a0a8">&#9670;&nbsp;</a></span>LEVEL_DIRECTION_DOWN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::LEVEL_DIRECTION_DOWN[] = &quot;DOWN&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String representing negative level adjustment. </p>

</div>
</div>
<a id="af295a3a3c16327b194e0497c61007c02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af295a3a3c16327b194e0497c61007c02">&#9670;&nbsp;</a></span>LEVEL_DIRECTION_UP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::capabilityAgents::equalizer::LEVEL_DIRECTION_UP[] = &quot;UP&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String representing positive level adjustment. </p>

</div>
</div>
<a id="a0bfd739776515eff4790ab22970f8e41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bfd739776515eff4790ab22970f8e41">&#9670;&nbsp;</a></span>NAMESPACE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::equalizer::NAMESPACE = &quot;EqualizerController&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The EqualizerController interface namespace. </p>

</div>
</div>
<a id="a666b750f0b8fbe77379f7911e59598c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a666b750f0b8fbe77379f7911e59598c1">&#9670;&nbsp;</a></span>TAG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::equalizer::TAG {&quot;EqualizerController&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
